baz_rtl_source_c.h File Reference
`#include <gnuradio/block.h>`
`#include <gnuradio/msg_queue.h>`
`#include <boost/thread.hpp>`
`#include <boost/thread/condition.hpp>`
`#include <boost/thread/recursive_mutex.hpp>`
`#include <libusb-1.0/libusb.h>`
`#include <stdarg.h>`
`#include "rtl2832.h"`
Include dependency graph for baz_rtl_source_c.h:

Go to the source code of this file.

## Classes

class | baz_rtl_source_c
| capture samples from an RTL2832-based device. More...

## Macros

#define | IMPLEMENT_LOG_FUNCTION(suffix, level)

## Functions

BAZ_API baz_rtl_source_c_sptr | baz_make_rtl_source_c (bool defer_creation=false, int output_size=0)
| Return a shared_ptr to a new instance of baz_rtl_source_c.

## Variables

class BAZ_API | baz_rtl_source_c

## Macro Definition Documentation

## IMPLEMENT_LOG_FUNCTION

#define IMPLEMENT_LOG_FUNCTION | ( |  | suffix,
|  |  | level
| ) |  |

Value:
inline void log_##suffix(const char* message, ...) \
{ va_list args; va_start(args, message); log(level, message, args); }

## Function Documentation

## baz_make_rtl_source_c()

BAZ_API baz_rtl_source_c_sptr baz_make_rtl_source_c | ( | bool | defer_creation = `false`,
|  | int | output_size = `0`
| ) |  |

Return a shared_ptr to a new instance of baz_rtl_source_c.

## Variable Documentation

## baz_rtl_source_c

class BAZ_API baz_rtl_source_c